# MovieTracking(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MovieTracking`(bpy_struct)

  Match-moving data for tracking

  `active_object_index`

    Index of active object

    Type: | int in [-inf, inf], default 0

  `camera`

    Type: | `MovieTrackingCamera`, (readonly)

  `dopesheet`

    Type: | `MovieTrackingDopesheet`, (readonly)

  `objects`

    Collection of objects in this tracking data object

    Type: | `MovieTrackingObjects` `bpy_prop_collection` of `MovieTrackingObject`, (readonly)

  `plane_tracks`

    Collection of plane tracks in this tracking data object

    Type: | `MovieTrackingPlaneTracks` `bpy_prop_collection` of `MovieTrackingPlaneTrack`, (readonly)

  `reconstruction`

    Type: | `MovieTrackingReconstruction`, (readonly)

  `settings`

    Type: | `MovieTrackingSettings`, (readonly)

  `stabilization`

    Type: | `MovieTrackingStabilization`, (readonly)

  `tracks`

    Collection of tracks in this tracking data object

    Type: | `MovieTrackingTracks` `bpy_prop_collection` of `MovieTrackingTrack`, (readonly)

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MovieClip.tracking` |